## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 20;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm
%bcond_without check

%global debug_package %{nil}

# https://github.com/wellington/go-libsass
%global goipath         github.com/wellington/go-libsass
Version:                0.9.2
%global commit          f870eaa15594bb64b1908df39d0812704f0ceb8f

%gometa

%global godevelheader %{expand:
Requires:       libsass-devel >= 3.5.4}

%global common_description %{expand:
Go wrapper for libsass, the only Sass 3.5 compiler for Go.}

%global golicenses      LICENSE
%global godocs          examples README.md docs

Name:           %{goname}
Release:        %autorelease
Summary:        Go wrapper for libsass, the only Sass 3.5 compiler for Go

# Upstream license specification: Apache-2.0
License:        Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}
# https://github.com/wellington/go-libsass/pull/83
Patch:          0001-Fix-build-with-Go-1.20.patch

BuildRequires:  golang(golang.org/x/net/context)
BuildRequires:  gcc-c++
BuildRequires:  libsass-devel >= 3.5.4

%description
%{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

# Remove bundled libsass.
rm -rf libsass-build
rm libs/wrap_main.go
for f in $(find -iname '*_dev.go'); do
    sed -e '/ +build dev/, 1d' $f > $f.new &&
    touch -r $f $f.new &&
    mv $f.new $f
done

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 17 2024 Robert-André Mauchin <zebob.m@gmail.com> - 0.9.2-19
- Fix FTBFS

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Apr 10 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.9.2-13
- Switch to SPDX license

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jul 03 15:41:42 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.9.2-4.20190528gitf870eaa
- Bump to commit f870eaa15594bb64b1908df39d0812704f0ceb8f

* Fri Jun 07 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.9.2-3
- Add gcc-c++ to Requires

* Sun Feb 17 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.9.2-2
- Remove unused file causing extra (auto) dependencies

* Sun Feb 10 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.9.2-1
- First package for Fedora

## END: Generated by rpmautospec
